Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_SOCK_CODgram Class Reference

Defines the member functions for the ACE_SOCK connected datagram abstraction. More...

`#include <SOCK_CODgram.h>`

Inheritance diagram for ACE_SOCK_CODgram

[legend]
Collaboration diagram for ACE_SOCK_CODgram:

[legend]
List of all members.

## Public Methods
| ACE_SOCK_CODgram (void)
| Default constructor.
| ACE_SOCK_CODgram (const ACE_Addr &remote_sap, const ACE_Addr &local_sap = ACE_Addr::sap_any, int protocol_family = PF_INET, int protocol = 0, int reuse_addr = 0)
| ~ACE_SOCK_CODgram (void)
| Default dtor.
int | open (const ACE_Addr &remote_sap, const ACE_Addr &local_sap = ACE_Addr::sap_any, int protocol_family = PF_INET, int protocol = 0, int reuse_addr = 0)
| Initiate a connected dgram.
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.

## Detailed Description

Defines the member functions for the ACE_SOCK connected datagram abstraction.

## Constructor & Destructor Documentation

ASYS_INLINE ACE_SOCK_CODgram::ACE_SOCK_CODgram ( | void )

| Default constructor.

ACE_SOCK_CODgram::ACE_SOCK_CODgram ( | const ACE_Addr & remote,
| const ACE_Addr & local = ACE_Addr::sap_any,
| int protocol_family = PF_INET,
| int protocol = 0,
| int reuse_addr = 0 )

ASYS_INLINE ACE_SOCK_CODgram::~ACE_SOCK_CODgram ( | void )

| Default dtor.

## Member Function Documentation

void ACE_SOCK_CODgram::dump ( | void ) const

| Dump the state of an object. Reimplemented from ACE_SOCK_IO. Reimplemented in ACE_LSOCK_CODgram.

int ACE_SOCK_CODgram::open ( | const ACE_Addr & remote_sap,
| const ACE_Addr & local_sap = ACE_Addr::sap_any,
| int protocol_family = PF_INET,
| int protocol = 0,
| int reuse_addr = 0 )

| Initiate a connected dgram.

## Member Data Documentation

ACE_SOCK_CODgram::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_SOCK_IO. Reimplemented in ACE_LSOCK_CODgram.

The documentation for this class was generated from the following files:

- SOCK_CODgram.h
- SOCK_CODgram.cpp
- SOCK_CODgram.i